<?
  session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer; 
	$existe=$objPer->ExisteControlHeli($numcontrol);
	$fecha=extraerfechamysql($fecha);	
	if($existe==0){	
	$cod_ultimo=$objPer->registrarControlHeliCC($numcontrol,$matricula,$lugar,$fecha,$piloto,$copiloto,$usuario_cia,$mision,$combustible); 	
		while(list($clave,$valor)=each($control1)){
		$harranq_dch=$valor[0];
		$haire_dch=$valor[1];
		$htierra_dch=$valor[2];											
		$hapaga_dch=$valor[3];
		$pi=$valor[4];
		$ps=$valor[5];
		$pb=$valor[6];											
		$kp=$valor[7];		
		$ttc=$valor[8];
		$tc=$valor[9];
		$kc=$valor[10];									
		$origen=$valor[11];
		$destino=$valor[12];
		$ccosto=$valor[13];
		$distancia=$valor[14];
		$obser=$valor[15];	
		$ws=$valor[16];
		$wb=$valor[17];
		
		/* $resultadoo=$objPer->getRutaOrigen($origen);								   
		$filao=$objPer->NextRow($resultadoo);
		
		$resultadod=$objPer->getRutaDestino($destino);								   
		$filad=$objPer->NextRow($resultadod); */			
		
		$hv_dch=calcular_tiempo_trasnc($hapaga_dch,$harranq_dch);
		
		$objPer->registrarDetControlHeliCC($numcontrol,$harranq_dch,$haire_dch,$htierra_dch,$hapaga_dch,$hv_dch,$kp,$kc,$origen,$destino,$obser,$ccosto,$pi,$ps,$pb,$distancia,$ttc,$tc,$ws,$wb);
		}
	}else{
		while(list($clave,$valor1)=each($control)){
		$harranq_dch=$valor[0];
		$haire_dch=$valor[1];
		$htierra_dch=$valor[2];											
		$hapaga_dch=$valor[3];
		$pi=$valor[4];
		$ps=$valor[5];
		$pb=$valor[6];											
		$kp=$valor[7];		
		$ttc=$valor[8];
		$tc=$valor[9];
		$kc=$valor[10];									
		$origen=$valor[11];
		$destino=$valor[12];
		$ccosto=$valor[13];
		$distancia=$valor[14];
		$obser=$valor[15];	
		$ws=$valor[16];
		$wb=$valor[17];
		/* $resultadoo=$objPer->getRutaOrigen($origen);								   
		$filao=$objPer->NextRow($resultadoo);
		
		$resultadod=$objPer->getRutaDestino($destino);								   
		$filad=$objPer->NextRow($resultadod); */				
		
		$objPer->registrarDetControlHeliCC($numcontrol,$harranq_dch,$haire_dch,$htierra_dch,$hapaga_dch,$hv_dch,$kp,$kc,$origen,$destino,$obser,$ccosto,$pi,$ps,$pb,$distancia,$ttc,$tc,$ws,$wb);
		}
	}
		Redirigir("../p_control_heli.php?borrar=1");	
?>